Package org.apache.struts2.util.finder

# Class ClassFinder.ClassInfo

java.lang.Object
org.apache.struts2.util.finder.ClassFinder.Annotatable
org.apache.struts2.util.finder.ClassFinder.ClassInfo

All Implemented Interfaces:
  `ClassFinder.Info`

Enclosing interface:
  ClassFinder

public static class ClassFinder.ClassInfo extends ClassFinder.Annotatable implements ClassFinder.Info

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassInfo(Class<?> clazz, ClassFinder classFinder)`
  `ClassInfo(String name, String superType, ClassFinder classFinder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `get()`
  `List<ClassFinder.MethodInfo>`
  `getConstructors()`
  `List<ClassFinder.FieldInfo>`
  `getFields()`
  `List<String>`
  `getInterfaces()`
  `List<ClassFinder.MethodInfo>`
  `getMethods()`
  `String`
  `getName()`
  `String`
  `getPackageName()`
  `List<String>`
  `getSuperInterfaces()`
  `String`
  `getSuperType()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.struts2.util.finder.ClassFinder.Annotatable

  `getAnnotations`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.struts2.util.finder.ClassFinder.Info

  `getAnnotations`

- ## Constructor Details

  - ### ClassInfo

    public ClassInfo(Class<?> clazz, ClassFinder classFinder)

  - ### ClassInfo

    public ClassInfo(String name, String superType, ClassFinder classFinder)

- ## Method Details

  - ### getPackageName

    public String getPackageName()

  - ### getConstructors

    public List<ClassFinder.MethodInfo> getConstructors()

  - ### getInterfaces

    public List<String> getInterfaces()

  - ### getSuperInterfaces

    public List<String> getSuperInterfaces()

  - ### getFields

    public List<ClassFinder.FieldInfo> getFields()

  - ### getMethods

    public List<ClassFinder.MethodInfo> getMethods()

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `ClassFinder.Info`

  - ### getSuperType

    public String getSuperType()

  - ### get

    public Class<?> get() throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`